RubyGems Navigation menu

dry-types 1.5.1

Type system for Ruby supporting coercions, constraints and complex types like structs, value objects, enums etc

Versions:

  1. 1.5.1 - February 16, 2021 (44 KB)
  2. 1.5.0 - January 21, 2021 (44 KB)
  3. 1.4.0 - March 09, 2020 (42 KB)
  4. 1.3.1 - February 16, 2020 (42 KB)
  5. 1.3.0 - February 10, 2020 (41.5 KB)
Show all versions (42 total)

Runtime Dependencies (5):

  • concurrent-ruby ~> 1.0
  • dry-container ~> 0.3
  • dry-core ~> 0.5, >= 0.5
  • dry-inflector ~> 0.1, >= 0.1.2
  • dry-logic ~> 1.0, >= 1.0.2
  • Development Dependencies (5):

    Owners:

    Pushed by:

    Authors:

    • Piotr Solnica

    SHA 256 checksum:

    6dd3009d1f91a44c80f0e019cc5372c672610848913f2c10cab47f6ad2d060bf

    Total downloads 34,730,315

    For this version 2,599,937

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 2.5.0

    Links: